import { NodeModuleInfo, DependencyTree, DependencyGraph } from "./types";
export declare abstract class NodeModulesCollector {
    private readonly rootDir;
    private nodeModules;
    protected dependencyPathMap: Map<string, string>;
    constructor(rootDir: string);
    private transToHoisterTree;
    protected resolvePath(filePath: string): string;
    convertToDependencyGraph(tree: DependencyTree): DependencyGraph;
    abstract getCommand(): string;
    abstract getArgs(): string[];
    abstract removeNonProductionDependencie(tree: DependencyTree): void;
    protected getDependenciesTree(): Promise<DependencyTree>;
    private _getNodeModules;
    private getTreeFromWorkspaces;
    getNodeModules(): Promise<NodeModuleInfo[]>;
}
