"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.YarnNodeModulesCollector = void 0;
const nodeModulesCollector_1 = require("./nodeModulesCollector");
class YarnNodeModulesCollector extends nodeModulesCollector_1.NodeModulesCollector {
    constructor(rootDir) {
        super(rootDir);
    }
    getCommand() {
        return process.platform === "win32" ? "npm.cmd" : "npm";
    }
    getArgs() {
        return ["list", "-a", "--include", "prod", "--include", "optional", "--omit", "dev", "--json", "--long", "--silent"];
    }
    removeNonProductionDependencie(tree) {
        const dependencies = tree.dependencies || {};
        const _dependencies = tree._dependencies || {};
        for (const [key, value] of Object.entries(dependencies)) {
            if (!_dependencies[key]) {
                delete dependencies[key];
                continue;
            }
            this.removeNonProductionDependencie(value);
        }
    }
}
exports.YarnNodeModulesCollector = YarnNodeModulesCollector;
//# sourceMappingURL=yarnNodeModulesCollector.js.map